Duo Multi-Factor Authentication: Unable to Install Mobile App (Android)

Tags Incident

Issue: I'm unable to download Duo Mobile to my Android phone. I get this error message: "Your device is incapable with this version."

Environment: Android device including phone, tablet, etc.

Resolution: Check your Android version. Duo Mobile is supported in Android version 8.0 and above. If your phone is on an Android version lower than this, contact your service provider to push a version update to your device.

Details

Article ID: 117103
Created
Sun 9/27/20 9:23 AM
Modified
Mon 3/22/21 1:59 PM